## ros-melodic-assimp-devel 2.1.21

=== Makefile ===
all: assimp_devel

INSTALL_DIR=`rospack find assimp_devel`
TARBALL = v3.1.1.zip
TARBALL_URL = http://github.com/assimp/assimp/archive/v3.1.1.zip
UNPACK_CMD = unzip -q
PATCH_DIR = $(CURDIR)
TARBALL_PATCH = ${PATCH_DIR}/assimp_git.technique.patch ${PATCH_DIR}/assimp_git.obj_export.patch ${PATCH_DIR}/assimp_devel.patch
MK_DIR    = $(shell rospack find mk)

BOOST_INCLUDE_DIRS=$(shell rosboost-cfg --include_dirs)
BOOST_LIBRARY_DIRS=$(shell rosboost-cfg --lib_dirs)

BUILDDIR=$(shell if [ $(DEBUG) ]; then echo builddebug; else echo build; fi)
CMAKE_BUILD_TYPE=$(shell if [ $(DEBUG) ]; then echo Debug; else echo RelWithDebInfo; fi)
# CPU_NUM=$(shell grep -c processor /proc/cpuinfo)
# PARALLEL_JOB=$(shell if `expr $(CPU_NUM) \> 4 > /dev/null`;then echo 4; else echo ${CPU_NUM}; fi)

SOURCE_DIR=build/assimp-3.1.1

include $(MK_DIR)/download_unpack_build.mk

.PHONY: assimp_devel

build: assimp_devel

assimp_devel: $(SOURCE_DIR)/unpacked
	cd $(SOURCE_DIR) && mkdir -p $(BUILDDIR) && cd $(BUILDDIR) && BOOST_INCLUDEDIR=$(BOOST_INCLUDE_DIRS) BOOST_LIBRARYDIR=$(BOOST_LIBRARY_DIRS) cmake -DCMAKE_INSTALL_PREFIX=$(INSTALL_DIR) -DCMAKE_BUILD_TYPE=$(CMAKE_BUILD_TYPE) .. && make install
	if [ -e $(INSTALL_DIR)/lib/pkgconfig/assimp.pc ]; then mv $(INSTALL_DIR)/lib/pkgconfig/assimp.pc $(INSTALL_DIR)/lib/pkgconfig/assimp_devel.pc ; fi
	if [ -e $(INSTALL_DIR)/include/assimp ]; then rm -fr $(INSTALL_DIR)/include/assimp_devel; mv $(INSTALL_DIR)/include/assimp $(INSTALL_DIR)/include/assimp_devel; fi

clean:
	rm -rf $(SOURCE_DIR)

wipe: clean
	rm $(TARBALL)
	cd $(INSTALL_DIR) && rm -rf lib include bin

=== debian/changelog ===
ros-melodic-assimp-devel (2.1.21-3stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 19 Aug 2020 00:00:00 -0000

ros-melodic-assimp-devel (2.1.20-3stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 07 Aug 2020 00:00:00 -0000

ros-melodic-assimp-devel (2.1.19-3stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 21 Jul 2020 00:00:00 -0000

ros-melodic-assimp-devel (2.1.18-3stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 20 Jul 2020 00:00:00 -0000

ros-melodic-assimp-devel (2.1.17-3stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 16 Apr 2020 00:00:00 -0000

ros-melodic-assimp-devel (2.1.16-3stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 16 Apr 2020 00:00:00 -0000

ros-melodic-assimp-devel (2.1.15-3stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 12 Dec 2019 00:00:00 -0000

ros-melodic-assimp-devel (2.1.14-3stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 21 Nov 2019 00:00:00 -0000

ros-melodic-assimp-devel (2.1.13-3stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 10 Jul 2019 00:00:00 -0000

ros-melodic-assimp-devel (2.1.12-3stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 25 May 2019 00:00:00 -0000

ros-melodic-assimp-devel (2.1.11-3stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 29 Aug 2018 00:00:00 -0000

ros-melodic-assimp-devel (2.1.10-3stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 25 Apr 2018 00:00:00 -0000

ros-melodic-assimp-devel (2.1.9-3stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 24 Apr 2018 00:00:00 -0000

ros-melodic-assimp-devel (2.1.8-3stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 17 Apr 2018 00:00:00 -0000

ros-melodic-assimp-devel (2.1.7-3stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 09 Apr 2018 00:00:00 -0000

ros-melodic-assimp-devel (2.1.6-3stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 21 Nov 2017 00:00:00 -0000

ros-melodic-assimp-devel (2.1.5-3stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 20 Nov 2017 00:00:00 -0000

ros-melodic-assimp-devel (2.1.4-3stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 16 Jul 2017 00:00:00 -0000

ros-melodic-assimp-devel (2.1.3-3stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 07 Jul 2017 00:00:00 -0000

ros-melodic-assimp-devel (2.1.2-3stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 06 Jul 2017 00:00:00 -0000

ros-melodic-assimp-devel (2.1.1-3stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 05 Jul 2017 00:00:00 -0000

ros-melodic-assimp-devel (2.1.0-3stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 02 Jul 2017 00:00:00 -0000

ros-melodic-assimp-devel (2.0.20-3stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 09 May 2017 00:00:00 -0000

ros-melodic-assimp-devel (2.0.19-3stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 22 Feb 2017 00:00:00 -0000

ros-melodic-assimp-devel (2.0.18-3stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 28 Oct 2016 00:00:00 -0000

ros-melodic-assimp-devel (2.0.17-3stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 22 Oct 2016 00:00:00 -0000

ros-melodic-assimp-devel (2.0.16-3stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 17 Oct 2016 00:00:00 -0000

ros-melodic-assimp-devel (2.0.15-3stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 16 Oct 2016 00:00:00 -0000

ros-melodic-assimp-devel (2.0.14-3stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 20 Mar 2016 00:00:00 -0000

ros-melodic-assimp-devel (2.0.13-3stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 15 Dec 2015 00:00:00 -0000

ros-melodic-assimp-devel (2.0.12-3stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 26 Nov 2015 00:00:00 -0000

ros-melodic-assimp-devel (2.0.11-3stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 07 Oct 2015 00:00:00 -0000

ros-melodic-assimp-devel (2.0.10-3stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 07 Oct 2015 00:00:00 -0000

ros-melodic-assimp-devel (2.0.9-3stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 26 Sep 2015 00:00:00 -0000

ros-melodic-assimp-devel (2.0.8-3stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 15 Sep 2015 00:00:00 -0000

ros-melodic-assimp-devel (2.0.7-3stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 14 Sep 2015 00:00:00 -0000

ros-melodic-assimp-devel (2.0.6-3stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 08 Sep 2015 00:00:00 -0000

ros-melodic-assimp-devel (2.0.5-3stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 23 Aug 2015 00:00:00 -0000

ros-melodic-assimp-devel (2.0.4-3stretch) stretch; urgency=high

  * add ca-certificates for https download
  * Contributors: Kei Okada

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 18 Aug 2015 00:00:00 -0000

ros-melodic-assimp-devel (2.0.3-3stretch) stretch; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 01 Aug 2015 00:00:00 -0000

ros-melodic-assimp-devel (2.0.2-3stretch) stretch; urgency=high

  * [Makefile] use http instead of https


=== debian/control ===
Source: ros-melodic-assimp-devel
Section: misc
Priority: optional
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ca-certificates, git, libboost-all-dev, openssl, ros-melodic-catkin, ros-melodic-mk, ros-melodic-rosboost-cfg, ros-melodic-rosbuild, unzip, zlib1g-dev
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-assimp-devel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, zlib1g-dev
Description: assimp library

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-assimp-devel//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-assimp-devel 2.1.24

=== debian/changelog ===
ros-melodic-assimp-devel (2.1.24-2bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 25 Jul 2021 15:00:00 -0000

ros-melodic-assimp-devel (2.1.23-2bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 20 Jul 2021 15:00:00 -0000

ros-melodic-assimp-devel (2.1.22-2bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 09 Jun 2021 15:00:00 -0000

ros-melodic-assimp-devel (2.1.21-2bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 18 Aug 2020 15:00:00 -0000

ros-melodic-assimp-devel (2.1.20-2bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 06 Aug 2020 15:00:00 -0000

ros-melodic-assimp-devel (2.1.19-2bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 20 Jul 2020 15:00:00 -0000

ros-melodic-assimp-devel (2.1.18-2bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 19 Jul 2020 15:00:00 -0000

ros-melodic-assimp-devel (2.1.17-2bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 15 Apr 2020 15:00:00 -0000

ros-melodic-assimp-devel (2.1.16-2bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 15 Apr 2020 15:00:00 -0000

ros-melodic-assimp-devel (2.1.15-2bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 11 Dec 2019 15:00:00 -0000

ros-melodic-assimp-devel (2.1.14-2bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 20 Nov 2019 15:00:00 -0000

ros-melodic-assimp-devel (2.1.13-2bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 09 Jul 2019 15:00:00 -0000

ros-melodic-assimp-devel (2.1.12-2bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 24 May 2019 15:00:00 -0000

ros-melodic-assimp-devel (2.1.11-2bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 28 Aug 2018 15:00:00 -0000

ros-melodic-assimp-devel (2.1.10-2bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 24 Apr 2018 15:00:00 -0000

ros-melodic-assimp-devel (2.1.9-2bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 23 Apr 2018 15:00:00 -0000

ros-melodic-assimp-devel (2.1.8-2bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 16 Apr 2018 15:00:00 -0000

ros-melodic-assimp-devel (2.1.7-2bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 08 Apr 2018 15:00:00 -0000

ros-melodic-assimp-devel (2.1.6-2bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 20 Nov 2017 15:00:00 -0000

ros-melodic-assimp-devel (2.1.5-2bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 19 Nov 2017 15:00:00 -0000

ros-melodic-assimp-devel (2.1.4-2bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 15 Jul 2017 15:00:00 -0000

ros-melodic-assimp-devel (2.1.3-2bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 06 Jul 2017 15:00:00 -0000

ros-melodic-assimp-devel (2.1.2-2bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 05 Jul 2017 15:00:00 -0000

ros-melodic-assimp-devel (2.1.1-2bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 04 Jul 2017 15:00:00 -0000

ros-melodic-assimp-devel (2.1.0-2bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 01 Jul 2017 15:00:00 -0000

ros-melodic-assimp-devel (2.0.20-2bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 08 May 2017 15:00:00 -0000

ros-melodic-assimp-devel (2.0.19-2bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 21 Feb 2017 15:00:00 -0000

ros-melodic-assimp-devel (2.0.18-2bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 27 Oct 2016 15:00:00 -0000

ros-melodic-assimp-devel (2.0.17-2bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 21 Oct 2016 15:00:00 -0000

ros-melodic-assimp-devel (2.0.16-2bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 16 Oct 2016 15:00:00 -0000

ros-melodic-assimp-devel (2.0.15-2bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 15 Oct 2016 15:00:00 -0000

ros-melodic-assimp-devel (2.0.14-2bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 19 Mar 2016 15:00:00 -0000

ros-melodic-assimp-devel (2.0.13-2bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 14 Dec 2015 15:00:00 -0000

ros-melodic-assimp-devel (2.0.12-2bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 25 Nov 2015 15:00:00 -0000

ros-melodic-assimp-devel (2.0.11-2bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 06 Oct 2015 15:00:00 -0000

ros-melodic-assimp-devel (2.0.10-2bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 06 Oct 2015 15:00:00 -0000

ros-melodic-assimp-devel (2.0.9-2bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 25 Sep 2015 15:00:00 -0000

ros-melodic-assimp-devel (2.0.8-2bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 14 Sep 2015 15:00:00 -0000

ros-melodic-assimp-devel (2.0.7-2bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 13 Sep 2015 15:00:00 -0000

ros-melodic-assimp-devel (2.0.6-2bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 07 Sep 2015 15:00:00 -0000

ros-melodic-assimp-devel (2.0.5-2bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 22 Aug 2015 15:00:00 -0000

ros-melodic-assimp-devel (2.0.4-2bionic) bionic; urgency=high

  * add ca-certificates for https download


=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
